Debian Bug report logs - #531040
ITP: xvidcore -- High quality ISO MPEG4 ASP codec library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>

Date: Fri, 29 May 2009 12:21:02 UTC

Owned by: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>

Severity: wishlist

Fixed in versions xvidcore/2:1.3.2-2, xvidcore/2:1.3.2-3

Done: Andres Mejia <amejia@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, "Lo�c Martin" <loic.martin3@gmail.com>:
Bug#531040; Package wnpp. (Fri, 29 May 2009 12:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loïc Martin <loic.martin3@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, "Lo�c Martin" <loic.martin3@gmail.com>. (Fri, 29 May 2009 12:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Loïc Martin <loic.martin3@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: xvidcore -- High quality ISO MPEG4 ASP codec library
Date: Fri, 29 May 2009 14:18:00 +0200
Package: wnpp
Severity: wishlist
Owner: "Loïc Martin" <loic.martin3@gmail.com>

* Package name    : xvidcore
  Version         : 1.2.2
  Upstream Author : Christoph Lampert <gruel@web.de>, Michael Militzer <isibaar@xvid.org>, Peter Ross <pross@xvid.org>
* URL             : http://www.xvid.org/
* License         : GPL2+, other
  Programming Lang: C, asm
  Description     : High quality ISO MPEG4 ASP codec library

   Xvid is a high quality/performance ISO MPEG4-ASP codec. It can be used to
   decode or encode video.

   License is GPL2+, except for 2 files (src/dct/{fdct.c,idct.c} ) which are
   GPL2+, but with the additionnal note:

> Permission is hereby granted to use, copy, modify, and distribute this
>    software (or portions thereof) for any purpose, without fee, subject to these
>    conditions:
>    (1) If any part of the source code for this software is distributed, then this
>    README file must be included, with this copyright and no-warranty notice
>    unaltered; and any additions, deletions, or changes to the original files
>    must be clearly indicated in accompanying documentation.
>    (2) If only executable code is distributed, then the accompanying
>    documentation must state that "this software is based in part on the work of
>    the Independent JPEG Group".
>    (3) Permission for use of this software is granted only if the user accepts
>    full responsibility for any undesirable consequences; the authors accept
>    NO LIABILITY for damages of any kind.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Lo�c Martin" <loic.martin3@gmail.com>:
Bug#531040; Package wnpp. (Fri, 29 May 2009 13:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Marillat <marillat@free.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Lo�c Martin" <loic.martin3@gmail.com>. (Fri, 29 May 2009 13:06:02 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Christian Marillat <marillat@free.fr>
To: Loïc Martin <loic.martin3@gmail.com>
Cc: 531040@bugs.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#531040: ITP: xvidcore -- High quality ISO MPEG4 ASP codec library
Date: Fri, 29 May 2009 15:03:06 +0200
Loïc Martin <loic.martin3@gmail.com> writes:

> Package: wnpp
> Severity: wishlist
> Owner: "Loïc Martin" <loic.martin3@gmail.com>
>
> * Package name    : xvidcore
>   Version         : 1.2.2
>   Upstream Author : Christoph Lampert <gruel@web.de>, Michael Militzer <isibaar@xvid.org>, Peter Ross <pross@xvid.org>
> * URL             : http://www.xvid.org/
> * License         : GPL2+, other
>   Programming Lang: C, asm
>   Description     : High quality ISO MPEG4 ASP codec library

Xivd isn't a free codec.

http://en.wikipedia.org/wiki/Xvid

http://list.xvid.org/pipermail/xvid-devel/2002-September/000827.html
http://list.xvid.org/pipermail/xvid-devel/2002-November/001316.html
http://list.xvid.org/pipermail/xvid-devel/2002-November/001318.html

Christian




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Lo�c Martin" <loic.martin3@gmail.com>:
Bug#531040; Package wnpp. (Fri, 29 May 2009 13:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Marillat <marillat@free.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Lo�c Martin" <loic.martin3@gmail.com>. (Fri, 29 May 2009 13:06:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Lo�c Martin" <loic.martin3@gmail.com>:
Bug#531040; Package wnpp. (Fri, 29 May 2009 13:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Lo�c Martin" <loic.martin3@gmail.com>. (Fri, 29 May 2009 13:15:02 GMT) Full text and rfc822 format available.

Message #20 received at 531040@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Loïc Martin <loic.martin3@gmail.com>, 531040@bugs.debian.org, ftpmaster@ftp-master.debian.org
Subject: Re: Bug#531040: ITP: xvidcore -- High quality ISO MPEG4 ASP codec library
Date: Fri, 29 May 2009 14:14:07 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2009-05-29 at 14:18 +0200, Loïc Martin wrote:
> Package: wnpp
> Severity: wishlist
> Owner: "Loïc Martin" <loic.martin3@gmail.com>
> 
> * Package name    : xvidcore
>    Version         : 1.2.2
>    Upstream Author : Christoph Lampert <gruel@web.de>, Michael Militzer <isibaar@xvid.org>, Peter Ross <pross@xvid.org>
> * URL             : http://www.xvid.org/
> * License         : GPL2+, other
>    Programming Lang: C, asm
>    Description     : High quality ISO MPEG4 ASP codec library
> 
>     Xvid is a high quality/performance ISO MPEG4-ASP codec. It can be used to
>     decode or encode video.
[...]

I believe this is likely to be rejected by the FTP team due to the risk
of infringing on actively enforced patents.

Ben.

-- 
Ben Hutchings
The most exhausting thing in life is being insincere. - Anne Morrow Lindberg
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Lo�c Martin" <loic.martin3@gmail.com>:
Bug#531040; Package wnpp. (Fri, 29 May 2009 15:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guus Sliepen <guus@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Lo�c Martin" <loic.martin3@gmail.com>. (Fri, 29 May 2009 15:21:02 GMT) Full text and rfc822 format available.

Message #25 received at 531040@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: Loïc Martin <loic.martin3@gmail.com>, 531040@bugs.debian.org
Subject: Re: Bug#531040: ITP: xvidcore -- High quality ISO MPEG4 ASP codec library
Date: Fri, 29 May 2009 17:11:00 +0200
[Message part 1 (text/plain, inline)]
On Fri, May 29, 2009 at 02:18:00PM +0200, Loïc Martin wrote:

>    License is GPL2+, except for 2 files (src/dct/{fdct.c,idct.c} ) which are
>    GPL2+, but with the additionnal note:
>
>> Permission is hereby granted to use, copy, modify, and distribute this
>>    software (or portions thereof) for any purpose, without fee, subject to these
>>    conditions:
>>    (1) If any part of the source code for this software is distributed, then this
>>    README file must be included, with this copyright and no-warranty notice
>>    unaltered; and any additions, deletions, or changes to the original files
>>    must be clearly indicated in accompanying documentation.
>>    (2) If only executable code is distributed, then the accompanying
>>    documentation must state that "this software is based in part on the work of
>>    the Independent JPEG Group".
>>    (3) Permission for use of this software is granted only if the user accepts
>>    full responsibility for any undesirable consequences; the authors accept
>>    NO LIABILITY for damages of any kind.

How is that compatible with the rest of the code? Clearly the whole library
would not be GPL2+ if there are additional restrictions.

-- 
Met vriendelijke groet / with kind regards,
      Guus Sliepen <guus@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Lo�c Martin" <loic.martin3@gmail.com>:
Bug#531040; Package wnpp. (Tue, 02 Jun 2009 12:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loïc Martin <loic.martin3@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Lo�c Martin" <loic.martin3@gmail.com>. (Tue, 02 Jun 2009 12:18:02 GMT) Full text and rfc822 format available.

Message #30 received at 531040@bugs.debian.org (full text, mbox):

From: Loïc Martin <loic.martin3@gmail.com>
To: Guus Sliepen <guus@debian.org>
Cc: 531040@bugs.debian.org
Subject: Re: Bug#531040: ITP: xvidcore -- High quality ISO MPEG4 ASP codec library
Date: Tue, 02 Jun 2009 14:17:25 +0200
Guus Sliepen wrote:
> On Fri, May 29, 2009 at 02:18:00PM +0200, Loïc Martin wrote:
> 
>>    License is GPL2+, except for 2 files (src/dct/{fdct.c,idct.c} ) which are
>>    GPL2+, but with the additionnal note:
>>
>>> Permission is hereby granted to use, copy, modify, and distribute this
>>>    software (or portions thereof) for any purpose, without fee, subject to these
>>>    conditions:
>>>    (1) If any part of the source code for this software is distributed, then this
>>>    README file must be included, with this copyright and no-warranty notice
>>>    unaltered; and any additions, deletions, or changes to the original files
>>>    must be clearly indicated in accompanying documentation.
>>>    (2) If only executable code is distributed, then the accompanying
>>>    documentation must state that "this software is based in part on the work of
>>>    the Independent JPEG Group".
>>>    (3) Permission for use of this software is granted only if the user accepts
>>>    full responsibility for any undesirable consequences; the authors accept
>>>    NO LIABILITY for damages of any kind.
> 
> How is that compatible with the rest of the code? Clearly the whole library
> would not be GPL2+ if there are additional restrictions.

See http://www.gnu.org/licenses/license-list.html#SoftwareLicenses, 
where the "Independent JPEG Group License" is listed:

> Independent JPEG Group License
> 
> This is a free software license, and compatible with the GNU GPL. The
> authors have assured us that developers who document changes as
> required by the GPL will also comply with the similar requirement in
> this license.

I'd like why it would make the whole library not GPL2+ - not that Debian 
will ship the binaries of course, but I guess a lot of projects and 
manufacturers might need to know that.




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 01 Aug 2010 08:06:03 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>' from 'Loïc Martin <loic.martin3@gmail.com>' Request was from Andres Mejia <mcitadel@gmail.com> to control@bugs.debian.org. (Sun, 26 Sep 2010 01:18:04 GMT) Full text and rfc822 format available.

Owner changed from "Lo�c Martin" <loic.martin3@gmail.com> to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. Request was from Andres Mejia <mcitadel@gmail.com> to control@bugs.debian.org. (Sun, 26 Sep 2010 01:18:05 GMT) Full text and rfc822 format available.

Reply sent to Reinhard Tartler <siretart@tauware.de>:
You have taken responsibility. (Tue, 26 Jul 2011 16:51:13 GMT) Full text and rfc822 format available.

Notification sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug acknowledged by developer. (Tue, 26 Jul 2011 16:51:14 GMT) Full text and rfc822 format available.

Message #41 received at 531040-close@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: 531040-close@bugs.debian.org
Subject: Bug#531040: fixed in xvidcore 2:1.3.2-2
Date: Tue, 26 Jul 2011 16:48:29 +0000
Source: xvidcore
Source-Version: 2:1.3.2-2

We believe that the bug you reported is fixed in the latest version of
xvidcore, which is due to be installed in the Debian FTP archive:

libxvidcore-dev_1.3.2-2_amd64.deb
  to main/x/xvidcore/libxvidcore-dev_1.3.2-2_amd64.deb
libxvidcore4_1.3.2-2_amd64.deb
  to main/x/xvidcore/libxvidcore4_1.3.2-2_amd64.deb
xvidcore_1.3.2-2.debian.tar.gz
  to main/x/xvidcore/xvidcore_1.3.2-2.debian.tar.gz
xvidcore_1.3.2-2.dsc
  to main/x/xvidcore/xvidcore_1.3.2-2.dsc
xvidcore_1.3.2.orig.tar.gz
  to main/x/xvidcore/xvidcore_1.3.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 531040@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Reinhard Tartler <siretart@tauware.de> (supplier of updated xvidcore package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 26 Jul 2011 11:02:05 +0200
Source: xvidcore
Binary: libxvidcore4 libxvidcore-dev
Architecture: amd64 source
Version: 2:1.3.2-2
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Reinhard Tartler <siretart@tauware.de>
Closes: 531040
Launchpad-Bugs-Fixed: 306399 530876
Description: 
 libxvidcore4 - Open source MPEG-4 video codec (library)
 libxvidcore-dev - Open source MPEG-4 video codec (development)
Changes: 
 xvidcore (2:1.3.2-2) unstable; urgency=low
 .
   * document copyright and license of altivec assembler
 .
 xvidcore (2:1.3.2-1) unstable; urgency=low
 .
   [ Fabian Greffrath ]
   * Imported Upstream version 1.3.2 (Closes: #531040)
     + dropped the debian/ directory from release tarballs.
     + updated the configure helper scripts.
     + Makefile does not include platform.inc in clean rules anymore.
     + Makefile now shows build infos in the default build rule.
 .
   [ Andres Mejia ]
   * Update to my @debian.org email.
   * Update debian/copyright to reflect licensing of new upstream release.
   * Update debian/copyright to DEP-5 spec.
 .
 xvidcore (2:1.3.1-1) UNRELEASED; urgency=low
 .
   [ Fabian Greffrath ]
   * Imported Upstream version 1.3.1
   * Remove configure.in-fix.patch and no-exec-stack-elf32.patch,
     applied upstream.
   * Upstream updated their configure script, so drop autoconf.
   * Update debian/gbp.conf and document filtering in git-import-orig.
   * Fix so-symlink in debian/libxvidcore-dev.links.
   * Simplify the changes to show build options during build.
 .
   [ Andres Mejia ]
   * Show build options during build.
   * Simplify setting of CFLAGS.
   * Bump to Standards-Version 3.9.2.
   * Fix description-synopsis-starts-with-article lintian warnings.
   * Support parallel builds.
   * Enable -O3 instead of -O2.
   * Include Vcs-* entries.
   * Add DM-Upload-Allowed: yes.
   * Include local options to unapply all patches and abort on any upstream
     changes.
 .
 xvidcore (2:1.3.0-1) UNRELEASED; urgency=low
 .
   * Imported Upstream version 1.3.0
   * Use 3.0 (quilt) source format.
   * Refresh build system patches.
   * yasm (> 1.0) is required but not in Debian yet,
     build-depend on nasm (>= 2.0)
   * Avoid running configure in the clean rule.
   * Remove unused lintian overrides.
   * Fix ldconfig-symlink-referencing-wrong-file.
   * Update libxvidcore4.symbols file.
   * Drop build-system-update.patch, use autotools-dev and autoconf
     at build-time instead.
   * Backup and restore build/generic/configure instead of removing it.
   * Really disable the executable bit for GNU-stack for elf32 archs.
 .
 xvidcore (2:1.2.2+debian-3) UNRELEASED; urgency=low
 .
   [ Fabian Greffrath ]
   * Update my e-mail address.
   * Make use of dh --sourcedirectory, instead of overriding all of
     dh_auto_*.
   * Remove ltmain.sh from debian/patches/build-system-update.patch,
     xvidcore does not even use libtool.
   * Update debian/patches/build-system-update.patch with a recent
     autoconf and autotools-dev.
 .
   [ Andres Mejia ]
   * Fix issue where autoconf outputs badly formatted configure script.
   * Update build-system-update.patch description with instructions on
     how to update build system.
   * Update Standards-Version to 3.9.1. No changes needed.
 .
 xvidcore (2:1.2.2+debian-2) unstable; urgency=low
 .
   [ Maia Kozheva ]
   * Merged README.Source and README.source.
 .
   [ Reinhard Tartler ]
   * Upload to Debian, Closes: #531040
 .
 xvidcore (2:1.2.2+debian-1ubuntu2) maverick; urgency=low
 .
   * Really merge README.Source and README.source now.
 .
 xvidcore (2:1.2.2+debian-1ubuntu1) maverick; urgency=low
 .
   * Merged from debian-unofficial release 2:1.2.2+debian-1, remaining
     Ubuntu changes:
     - Merged README.Source and README.source.
 .
 xvidcore (2:1.2.2+debian-1) unstable; urgency=low
 .
   * Prepare release for Debian.
   * Set appropriate debian-branch default for master branch.
   * Fix Maintainer field and set myself as an uploader.
   * Bump Standards-Version to 4.
   * Remove dependence on cdbs and just use debhelper.
   * Update the build system via a quilt patch.
   * Add lintian overrides with appropriate messages for overrides.
 .
 xvidcore (2:1.2.2+debian-0ubuntu2) lucid; urgency=low
 .
   * Non-exec patches got broken upstream by invoking yasm -f elf64/elf32,
     so the __OUTPUT_FORMAT__==elf test no longer works.  Instead, trigger
     the section in the global include file, thanks to Russell Coker
     (LP: #530876).
 .
 xvidcore (2:1.2.2+debian-0ubuntu1) lucid; urgency=low
 .
   * Fakesynced new upstream release from the debian-multimedia git repository.
     (LP: #306399)
   * Dropped Ubuntu patches, all applied upstream:
     - 01_ia64_fix.dpatch
     - 50_non-exec-stack.dpatch
     - CVE-2007-3329.dpatch
 .
 xvidcore (1.2.2+debian-0debimedia1) unstable; urgency=low
 .
   * Added debian/README.Source.
   * Updated Maintainer and Uploaders fields.
   * Build-Depend on yasm (>= 0.8), since it's in squeeze now.
   * Bumped Standards-Version to 3.8.2.
 .
 xvidcore (1.2.2+debian-0fab5) unstable; urgency=low
 .
   * debian/copyright: Finalized.
 .
 xvidcore (1.2.2+debian-0fab4) unstable; urgency=low
 .
   * debian/control: Prefer yasm (>= 0.8) over nasm (>= 2.0).
   * debian/copyright: Simplified.
 .
 xvidcore (1.2.2+debian-0fab3) unstable; urgency=low
 .
   * debian/control, debian/rules: Ported from debhelper (>= 7.2) to cdbs.
   * debian/control: Wrapped Build-Depends and Depends fields.
   * debian/control: Removed Build-Depends on quilt.
   * debian/patches/: Removed.
 .
 xvidcore (1.2.2+debian-0fab2) unstable; urgency=low
 .
   * debian/control: Bumped Build-Depends to debhelper (>= 7.2).
   * debian/control: Adjusted Build-Depends on nasm and yasm.
   * debian/copyright: Improved based on an approach by
     Loïc Martin <loic.martin3@gmail.com>.
   * debian/libxvidcore4.symbols: Added.
   * debian/rules: Added reasonable defaults to CFLAGS.
   * debian/rules: Added execute permissions to the configure script
     after the patch rule instead of before the configure rule.
   * debian/watch: Added.
 .
 xvidcore (1.2.2+debian-0fab1) unstable; urgency=low
 .
   * New upstream release.
 .
 xvidcore (1.2.1+debian-0fab1) unstable; urgency=low
 .
   * Initial release.
   * Rebuilt upstream tarball without debian/ directory.
   * Patched a build environment into the top level source directory.
Checksums-Sha1: 
 517c4cc671a76609c2213c00d51ee01e91122aae 1498 xvidcore_1.3.2-2.dsc
 56e065d331545ade04c63c91153b9624b51d6e1b 817743 xvidcore_1.3.2.orig.tar.gz
 cddaac60b30a9b17884d6c31a45326ee1ee56750 5580 xvidcore_1.3.2-2.debian.tar.gz
 cd6c4cbfb4b3bea5156f9ba888141d652a36887b 327026 libxvidcore4_1.3.2-2_amd64.deb
 3c95bd46755229194192d9891b3cdc19be47e1a1 378858 libxvidcore-dev_1.3.2-2_amd64.deb
Checksums-Sha256: 
 b35b8cb9688eacaacfa64c764cf599ce86b8398add369c55cad0626fd51e84b3 1498 xvidcore_1.3.2-2.dsc
 84532724c47f452d1167962e64a7cf34fc22c26f6d3b7afa7304a3765e97689a 817743 xvidcore_1.3.2.orig.tar.gz
 e3d214ef1ca781abc16e418240d456ec1cf776ea2350e40a1015e083aee9dcaa 5580 xvidcore_1.3.2-2.debian.tar.gz
 3355a8bc2c2f28054cfe7687e3bc9e58fb5db9a52240eb8935639594256e8591 327026 libxvidcore4_1.3.2-2_amd64.deb
 bdbd5d4e721c9a172f94df07cbb749190026fef73128c5c45e4c027ee816ac7b 378858 libxvidcore-dev_1.3.2-2_amd64.deb
Files: 
 9b315987da99a6c62bd26d42900a60e7 1498 libs optional xvidcore_1.3.2-2.dsc
 87c8cf7b69ebed93c2d82ea5709d098a 817743 libs optional xvidcore_1.3.2.orig.tar.gz
 3d480942ef5c11ce04d21f80005760ac 5580 libs optional xvidcore_1.3.2-2.debian.tar.gz
 e9b9e1e6ba015aecf7ef63917574e04f 327026 libs optional libxvidcore4_1.3.2-2_amd64.deb
 5b4a6ea7fb27b8b548e5a9973baa15e9 378858 libdevel optional libxvidcore-dev_1.3.2-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.14 (GNU/Linux)
Comment: Debian Powered!

iEYEARECAAYFAk4uhOQACgkQmAg1RJRTSKQ4/QCdFi+wrWwKP5WWZooYI7HhT3Oy
NIwAn3lizvxgdx8rOeUZUf3U8WW+qHlJ
=8Uc6
-----END PGP SIGNATURE-----





Reply sent to Andres Mejia <amejia@debian.org>:
You have taken responsibility. (Tue, 26 Jul 2011 16:51:15 GMT) Full text and rfc822 format available.

Notification sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug acknowledged by developer. (Tue, 26 Jul 2011 16:51:16 GMT) Full text and rfc822 format available.

Message #46 received at 531040-close@bugs.debian.org (full text, mbox):

From: Andres Mejia <amejia@debian.org>
To: 531040-close@bugs.debian.org
Subject: Bug#531040: fixed in xvidcore 2:1.3.2-3
Date: Tue, 26 Jul 2011 16:48:46 +0000
Source: xvidcore
Source-Version: 2:1.3.2-3

We believe that the bug you reported is fixed in the latest version of
xvidcore, which is due to be installed in the Debian FTP archive:

libxvidcore-dev_1.3.2-3_amd64.deb
  to main/x/xvidcore/libxvidcore-dev_1.3.2-3_amd64.deb
libxvidcore4_1.3.2-3_amd64.deb
  to main/x/xvidcore/libxvidcore4_1.3.2-3_amd64.deb
xvidcore_1.3.2-3.debian.tar.gz
  to main/x/xvidcore/xvidcore_1.3.2-3.debian.tar.gz
xvidcore_1.3.2-3.dsc
  to main/x/xvidcore/xvidcore_1.3.2-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 531040@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andres Mejia <amejia@debian.org> (supplier of updated xvidcore package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 26 Jul 2011 06:50:31 -0400
Source: xvidcore
Binary: libxvidcore4 libxvidcore-dev
Architecture: amd64 source
Version: 2:1.3.2-3
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Andres Mejia <amejia@debian.org>
Closes: 531040
Launchpad-Bugs-Fixed: 306399 530876
Description: 
 libxvidcore4 - Open source MPEG-4 video codec (library)
 libxvidcore-dev - Open source MPEG-4 video codec (development)
Changes: 
 xvidcore (2:1.3.2-3) unstable; urgency=low
 .
   * Fix typo to location of LGPL-2 on Debian systems.
 .
 xvidcore (2:1.3.2-2) unstable; urgency=low
 .
   [ Fabian Greffrath ]
   * Build-Depend on yasm. A recent enough version is in Debian now and
     the configure script prefers it over nasm.
 .
   [ Reinhard Tartler ]
   * document copyright and license of altivec assembler
 .
 xvidcore (2:1.3.2-1) unstable; urgency=low
 .
   [ Fabian Greffrath ]
   * Imported Upstream version 1.3.2 (Closes: #531040)
     + dropped the debian/ directory from release tarballs.
     + updated the configure helper scripts.
     + Makefile does not include platform.inc in clean rules anymore.
     + Makefile now shows build infos in the default build rule.
 .
   [ Andres Mejia ]
   * Update to my @debian.org email.
   * Update debian/copyright to reflect licensing of new upstream release.
   * Update debian/copyright to DEP-5 spec.
 .
 xvidcore (2:1.3.1-1) UNRELEASED; urgency=low
 .
   [ Fabian Greffrath ]
   * Imported Upstream version 1.3.1
   * Remove configure.in-fix.patch and no-exec-stack-elf32.patch,
     applied upstream.
   * Upstream updated their configure script, so drop autoconf.
   * Update debian/gbp.conf and document filtering in git-import-orig.
   * Fix so-symlink in debian/libxvidcore-dev.links.
   * Simplify the changes to show build options during build.
 .
   [ Andres Mejia ]
   * Show build options during build.
   * Simplify setting of CFLAGS.
   * Bump to Standards-Version 3.9.2.
   * Fix description-synopsis-starts-with-article lintian warnings.
   * Support parallel builds.
   * Enable -O3 instead of -O2.
   * Include Vcs-* entries.
   * Add DM-Upload-Allowed: yes.
   * Include local options to unapply all patches and abort on any upstream
     changes.
 .
 xvidcore (2:1.3.0-1) UNRELEASED; urgency=low
 .
   * Imported Upstream version 1.3.0
   * Use 3.0 (quilt) source format.
   * Refresh build system patches.
   * yasm (> 1.0) is required but not in Debian yet,
     build-depend on nasm (>= 2.0)
   * Avoid running configure in the clean rule.
   * Remove unused lintian overrides.
   * Fix ldconfig-symlink-referencing-wrong-file.
   * Update libxvidcore4.symbols file.
   * Drop build-system-update.patch, use autotools-dev and autoconf
     at build-time instead.
   * Backup and restore build/generic/configure instead of removing it.
   * Really disable the executable bit for GNU-stack for elf32 archs.
 .
 xvidcore (2:1.2.2+debian-3) UNRELEASED; urgency=low
 .
   [ Fabian Greffrath ]
   * Update my e-mail address.
   * Make use of dh --sourcedirectory, instead of overriding all of
     dh_auto_*.
   * Remove ltmain.sh from debian/patches/build-system-update.patch,
     xvidcore does not even use libtool.
   * Update debian/patches/build-system-update.patch with a recent
     autoconf and autotools-dev.
 .
   [ Andres Mejia ]
   * Fix issue where autoconf outputs badly formatted configure script.
   * Update build-system-update.patch description with instructions on
     how to update build system.
   * Update Standards-Version to 3.9.1. No changes needed.
 .
 xvidcore (2:1.2.2+debian-2) unstable; urgency=low
 .
   [ Maia Kozheva ]
   * Merged README.Source and README.source.
 .
   [ Reinhard Tartler ]
   * Upload to Debian, Closes: #531040
 .
 xvidcore (2:1.2.2+debian-1ubuntu2) maverick; urgency=low
 .
   * Really merge README.Source and README.source now.
 .
 xvidcore (2:1.2.2+debian-1ubuntu1) maverick; urgency=low
 .
   * Merged from debian-unofficial release 2:1.2.2+debian-1, remaining
     Ubuntu changes:
     - Merged README.Source and README.source.
 .
 xvidcore (2:1.2.2+debian-1) unstable; urgency=low
 .
   * Prepare release for Debian.
   * Set appropriate debian-branch default for master branch.
   * Fix Maintainer field and set myself as an uploader.
   * Bump Standards-Version to 4.
   * Remove dependence on cdbs and just use debhelper.
   * Update the build system via a quilt patch.
   * Add lintian overrides with appropriate messages for overrides.
 .
 xvidcore (2:1.2.2+debian-0ubuntu2) lucid; urgency=low
 .
   * Non-exec patches got broken upstream by invoking yasm -f elf64/elf32,
     so the __OUTPUT_FORMAT__==elf test no longer works.  Instead, trigger
     the section in the global include file, thanks to Russell Coker
     (LP: #530876).
 .
 xvidcore (2:1.2.2+debian-0ubuntu1) lucid; urgency=low
 .
   * Fakesynced new upstream release from the debian-multimedia git repository.
     (LP: #306399)
   * Dropped Ubuntu patches, all applied upstream:
     - 01_ia64_fix.dpatch
     - 50_non-exec-stack.dpatch
     - CVE-2007-3329.dpatch
 .
 xvidcore (1.2.2+debian-0debimedia1) unstable; urgency=low
 .
   * Added debian/README.Source.
   * Updated Maintainer and Uploaders fields.
   * Build-Depend on yasm (>= 0.8), since it's in squeeze now.
   * Bumped Standards-Version to 3.8.2.
 .
 xvidcore (1.2.2+debian-0fab5) unstable; urgency=low
 .
   * debian/copyright: Finalized.
 .
 xvidcore (1.2.2+debian-0fab4) unstable; urgency=low
 .
   * debian/control: Prefer yasm (>= 0.8) over nasm (>= 2.0).
   * debian/copyright: Simplified.
 .
 xvidcore (1.2.2+debian-0fab3) unstable; urgency=low
 .
   * debian/control, debian/rules: Ported from debhelper (>= 7.2) to cdbs.
   * debian/control: Wrapped Build-Depends and Depends fields.
   * debian/control: Removed Build-Depends on quilt.
   * debian/patches/: Removed.
 .
 xvidcore (1.2.2+debian-0fab2) unstable; urgency=low
 .
   * debian/control: Bumped Build-Depends to debhelper (>= 7.2).
   * debian/control: Adjusted Build-Depends on nasm and yasm.
   * debian/copyright: Improved based on an approach by
     Loïc Martin <loic.martin3@gmail.com>.
   * debian/libxvidcore4.symbols: Added.
   * debian/rules: Added reasonable defaults to CFLAGS.
   * debian/rules: Added execute permissions to the configure script
     after the patch rule instead of before the configure rule.
   * debian/watch: Added.
 .
 xvidcore (1.2.2+debian-0fab1) unstable; urgency=low
 .
   * New upstream release.
 .
 xvidcore (1.2.1+debian-0fab1) unstable; urgency=low
 .
   * Initial release.
   * Rebuilt upstream tarball without debian/ directory.
   * Patched a build environment into the top level source directory.
Checksums-Sha1: 
 6404af1d478cb1123a04439ec67fd628eed455a1 1498 xvidcore_1.3.2-3.dsc
 19933ce7b50371db8c9b6c581cadfd7c1e591f16 5691 xvidcore_1.3.2-3.debian.tar.gz
 20aa58789ac94654dc649f9d474c410bd1d4d158 327118 libxvidcore4_1.3.2-3_amd64.deb
 238b7718ed51167a19351bb5f8e4741b83d45956 378942 libxvidcore-dev_1.3.2-3_amd64.deb
Checksums-Sha256: 
 48ba4223748d12e2ec45ae4ae490ec9658a0a701db5346b2047597166f1ed873 1498 xvidcore_1.3.2-3.dsc
 2c631f5007036c57daa932fecec67c439a9b69b259f1d2cfa982b413fdaa9994 5691 xvidcore_1.3.2-3.debian.tar.gz
 bcc4fac5405af3ef0a78ff4d14fc72152a594aacea1f5b2abeaa6e90c1e06ff9 327118 libxvidcore4_1.3.2-3_amd64.deb
 0423f7f4ab0d79a2ab6f6c3b8fe466fe5314c117e8cc14facfa07ce2cc883141 378942 libxvidcore-dev_1.3.2-3_amd64.deb
Files: 
 b590f6d4a6cb05b8c6f6b69ab86856f7 1498 libs optional xvidcore_1.3.2-3.dsc
 7e5887f3d1b7ed8f064c4ecec7c648e1 5691 libs optional xvidcore_1.3.2-3.debian.tar.gz
 dcee18f296525ff36d0dfc970c6ac3ec 327118 libs optional libxvidcore4_1.3.2-3_amd64.deb
 b63f2c8f3be3d172b2b163faa8ceef97 378942 libdevel optional libxvidcore-dev_1.3.2-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.14 (GNU/Linux)
Comment: Debian Powered!

iEYEARECAAYFAk4utiAACgkQmAg1RJRTSKTobACfXOMQcF8i/PBkldDxDF7q6LKb
3sMAnA8r5JAL78GBdibduu6Ie18uPKAH
=e9r+
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 24 Aug 2011 07:32:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:38:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.